org.apache.poi.hslf.blip

## Class Metafile.Header

- java.lang.Object
- - org.apache.poi.hslf.blip.Metafile.Header

- Enclosing class:
    Metafile

      public static class Metafile.Header
      extends java.lang.Object

  A structure which represents a 34-byte header preceding the compressed metafile data

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Header()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Rectangle` | `getBounds()`
    `int` | `getSize()`
    `int` | `getWmfSize()`
    `void` | `read(byte[] data, int offset)`
    `protected void` | `setBounds(java.awt.Rectangle bounds)`
    `protected void` | `setDimension(java.awt.Dimension size)`
    `protected void` | `setWmfSize(int wmfSize)`
    `protected void` | `setZipSize(int zipSize)`
    `void` | `write(java.io.OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Header

          public Header()

  - ### Method Detail

    - #### read

          public void read(byte[] data,
                           int offset)

    - #### write

          public void write(java.io.OutputStream out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getSize

          public int getSize()

    - #### getWmfSize

          public int getWmfSize()

    - #### setWmfSize

          protected void setWmfSize(int wmfSize)

    - #### setZipSize

          protected void setZipSize(int zipSize)

    - #### getBounds

          public java.awt.Rectangle getBounds()

    - #### setBounds

          protected void setBounds(java.awt.Rectangle bounds)

    - #### setDimension

          protected void setDimension(java.awt.Dimension size)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.